org.apache.cassandra.repair

## Class RepairFuture

- java.lang.Object
- - java.util.concurrent.FutureTask<java.lang.Void>
  - - org.apache.cassandra.repair.RepairFuture

- All Implemented Interfaces:
    java.lang.Runnable, java.util.concurrent.Future<java.lang.Void>, java.util.concurrent.RunnableFuture<java.lang.Void>

      public class RepairFuture
      extends java.util.concurrent.FutureTask<java.lang.Void>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `RepairSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairFuture(RepairSession session)`

  - ### Method Summary

    - ### Methods inherited from class java.util.concurrent.FutureTask

      `cancel, done, get, get, isCancelled, isDone, run, runAndReset, set, setException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          public final RepairSession session

  - ### Constructor Detail

    - #### RepairFuture

          public RepairFuture(RepairSession session)

Copyright © 2014 The Apache Software Foundation